GDB (xrefs)

Public Attributes | List of all members
linetable_entry Struct Reference

`#include "symtab.h"`

## Public Attributes
int | line
CORE_ADDR | pc

## Detailed Description

Definition at line 1228 of file symtab.h.

## Member Data Documentation

## ◆ line

int linetable_entry::line

Definition at line 1230 of file symtab.h.

Referenced by add_line(), arrange_linetable(), compare_line_numbers(), create_sals_line_offset(), do_mixed_source_and_assembly(), do_mixed_source_and_assembly_deprecated(), dump_symtab_1(), find_line_common(), find_line_symtab(), find_pc_sect_line(), find_pcs_for_symtab_line(), jit_symtab_line_mapping_add_impl(), ltpy_get_all_source_lines(), ltpy_has_line(), ltpy_iternext(), maintenance_print_one_line_table(), record_line(), skip_prologue_using_lineinfo(), and skip_prologue_using_sal().

## ◆ pc

CORE_ADDR linetable_entry::pc

Definition at line 1231 of file symtab.h.

Referenced by add_line(), arrange_linetable(), compare_line_numbers(), compare_lte(), create_sals_line_offset(), do_mixed_source_and_assembly(), do_mixed_source_and_assembly_deprecated(), dump_symtab_1(), find_line_pc(), find_pc_sect_line(), find_pcs_for_symtab_line(), jit_symtab_line_mapping_add_impl(), ltpy_iternext(), maintenance_print_one_line_table(), objfile_relocate1(), record_line(), skip_prologue_using_lineinfo(), and skip_prologue_using_sal().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.h